Subject: Re: bug#4623: 23.1.50; rmail changes encoding of characters on save

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Dec 2009 20:43:39 -0500

>> There's no need to swap buffers for that, there's with-current-buffer.
>> I know it's not as simple as that because they may also need to access
>> buffer-local variables.
> Exactly.  Figuring all that out is hardly a feature-freeze day job.

Agreed, but it has to be done at some point, so even if it's not
installed right away, now is a very good time to start working on it.
This problem was already present in Emacs-23.1 and I already mentioned
it several times back then.  We installed hacks ack then to patch up the
most glaring problems introduced and we keep adding such hacks, which
just makes the whole code every time less maintainable.

        Stefan